Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84478 - GDM sets locales to .utf8 instead of .UTF-8 which is supported by Xlib
Summary: GDM sets locales to .utf8 instead of .UTF-8 which is supported by Xlib
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-17 21:23 UTC by Michal Ambroz
Modified: 2008-01-17 17:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-28 21:53:46 UTC


Attachments (Terms of Use)

Description Michal Ambroz 2003-02-17 21:23:47 UTC
Description of problem:
When logging in via gdm greeter, it sets locales unknown to Xlib - thus
localized applications behave strange.

Xlib supports only locales with .UTF-8. When it detects unknown locales it sets
C locales instead.

It would help to change all .utf8 to .UTF-8 in file /etc/X11/gdm/locale.alias 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. installed RH 8.0.93 Phoebe
2. choose graphical installation
3. login by some account choosing some locales
4. look at output of locale command
    

Actual Results:  locale cs_CZ.utf8 or en_US.utf8 was set

Expected Results:  locale cs_CZ.UTF-8 or en_US.UTF-8 should be set

Additional info:

Comment 1 Havoc Pennington 2003-02-17 23:06:21 UTC
My /etc/X11/gdm/locale.alias has UTF-8 for everything, not .utf8,
on latest install.

Comment 2 Michal Ambroz 2003-02-18 13:47:39 UTC
It is cool if it is already solved :).
I was just reporting how is it in Phoebe (beta release of what I suppose to be
RedHat 8.1) and wanted to be sure it will not be in final 8.1

Comment 3 Bill Nottingham 2003-07-28 21:53:46 UTC
Closing some bugs that have been in MODIFIED for a while. Please reopen if the
problem persists.


Note You need to log in before you can comment on or make changes to this bug.